
## [SD 小程序 统计封装](https://www.npmjs.com/package/sd-wxlittle-track-service)

### 安装使用
```bash
npm i sd-track-core@0.0.1 --save
```
### Demo
#### 创建
```javascript
import trackService from 'sd-wxlittle-track-service'

const track = trackService.create({
  showLog: true,
  commonParams: () => {
    return {
      biz: 'SDH',
      channel: 'wxlittle',
      platform: 'wxlittle',
    }
  },
  handleTrack: (trackData, controlArg) => {

  }
})
```

#### 调用
```javascript
track({
  elementCode: 12345,
  extInfo: {
    id: 22,
    name: 'extName'
  }
})
```
### 扩展  

#### 创建
```diff
import trackService from 'sd-wxlittle-track-service'

const track = trackService.wxLittleCreate({
  // ...
})

+++ const wrap = trackService.createWrap(send)
```

#### 调用
```javascript
...
      <button @tap="login">login</button>
      <button @tap="logout">logout</button>
      <button @tap="bannerClick">bannerClick</button>
...
  handleLogin = () => {
    console.log('promote login')
  }
  handleLogout = () => {
    console.log('promote logout')
  }
  handleBannerClick = (index) => {
    console.log(`promote banner click with index: ${index}`)
  }
  methods = {
    login: trackService.wrap({op: 'login'})(this.handleLogin),
    logout: trackService.wrap(() => {
      return {op: 'logout'}
    })(this.handleLogin),
    bannerClick: trackService.wrap(index => {
      return {op: 'bannerClick', index}
    })(this.handleBannerClick)
  }
...

```


### 更新日志